package de.avatic.lcc.model.db.nodes;

import de.avatic.lcc.model.db.country.CountryListEntry;

public class NodeListEntry {

    private Integer id;
    private String name;
    private CountryListEntry country;
    private String address;
    private Boolean isDestination;
    private Boolean isSource;
    private Boolean isIntermediate;
    private Boolean isDeprecated;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public CountryListEntry getCountry() {
        return country;
    }

    public void setCountry(CountryListEntry country) {
        this.country = country;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Boolean getDestination() {
        return isDestination;
    }

    public void setDestination(Boolean destination) {
        isDestination = destination;
    }

    public Boolean getSource() {
        return isSource;
    }

    public void setSource(Boolean source) {
        isSource = source;
    }

    public Boolean getIntermediate() {
        return isIntermediate;
    }

    public void setIntermediate(Boolean intermediate) {
        isIntermediate = intermediate;
    }

    public Boolean getDeprecated() {
        return isDeprecated;
    }

    public void setDeprecated(Boolean deprecated) {
        isDeprecated = deprecated;
    }
}
